# This is your system's configuration file.
# Use this to configure your system environment (it replaces /etc/nixos/configuration.nix)
{
  inputs,
  lib,
  config,
  pkgs,
  ...
}:
{

  services.netbird = {
    enable = true;
    ui.enable = true;
  };

  systemd.services.tailscaled = {
    after = [ "netbird.service" "network-online.target" ];
    wants = [ "netbird.service" "network-online.target" ];
  };

  environment.systemPackages = with pkgs; [
    # networkmanager
    dnsutils
    nmap
    ipcalc
    # iperf3
    # networkmanagerapplet

    # (octodns.withProviders (ps: [
    #   octodns-providers.gandi
    # ]))
  ];
}
